Subject: Fatal error: Interface 't3lib_tceformsinlineHook' not found in ...
Description

With ext:news installed | get the following exception when | save a item in backend (any content item)

Fatal error: Interface 't3lib_tceformsinlineHook' not found in .../typo3conf/ext/news/Classes/Hooks/InlineElementHook.php on

line 31

When | add the following line from LegacyClassesForlde.php to my ext_tables the interface fallback works.

interface t3lib_tceformsinlineHook extends \TYPO3\CMS\Backend\Form\Element\InlineElementHooklInterface {}

| encountered this with ext:news but expect that more extensions that support the 4.* and 6.* branches will have this problem when
implementing the old interfaces.

Related issues:

related to Core - Bug # 53855: Fatal error: Class 'Tx_Extbase_Ultility_Extensi... Closed 2013-11-22
related to Core - Bug # 54004: Extension checker does not use the autoloader? Resolved 2013-11-27
History

#1 - 2013-11-22 11:24 - Markus Klein

Looks like there's some php file not loaded?

#2 - 2013-11-22 11:28 - Frans Saris

| think the autoloader doesn't work on these usecases.

#3 - 2014-12-15 17:19 - Wouter Wolters
- Status changed from New to Needs Feedback

Hi,

does the problem still exists within newer versions of TYPO3 CMS (6.2.9)?
#4 - 2014-12-15 19:57 - Frans Saris
- Status changed from Needs Feedback to Resolved

Didn't encounter the problem anymore for a long time. So | guess we already fixed it :)
